Page MenuHomePhabricator

Upgrade SpamBlacklist extension to use newer phan
Closed, ResolvedPublic

Description

SpamBlacklist needs to be upgraded to a newer version of phan, our PHP static analysis tool. This brings in
over 2 years of upstream improvements and lots of bug fixes.

Please follow the instructions on how to migrate at https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension#Migrating_from_phan_0.8.0.

Please also set the Gerrit topic for all patches related to this effort with new-phan-plz.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 7:29 AM

Change 493797 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/SpamBlacklist@master] Migrate to new Phan

https://gerrit.wikimedia.org/r/493797

Daimona claimed this task.Mar 2 2019, 12:29 PM

Change 493797 merged by jenkins-bot:
[mediawiki/extensions/SpamBlacklist@master] Migrate to new Phan

https://gerrit.wikimedia.org/r/493797

Daimona closed this task as Resolved.Mar 9 2019, 1:17 PM
Daimona removed a project: Patch-For-Review.